SimpleBeanObject (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.beanbox
Class SimpleBeanObject

    java.lang.Object
      com.bbn.openmap.layer.beanbox.SimpleBeanObject

Direct Known Subclasses:
  Fighter, SimpleBeanContainer

    public class SimpleBeanObject

extends java.lang.Object

A simple bean object. Contains a unique long id, a lat, lon position an orientation measured in degrees clockwise from the +ve Y axis and an optional graphic image or custom graphics class name.

Field Summary
`protected float` | `bearingInDeg`
`protected java.lang.String` | `customGraphicClassName`
`protected java.awt.Image` | `graphicImage`
`protected long` | `id`
`protected float` | `latitude`
`protected float` | `longitude`

Constructor Summary
`SimpleBeanObject()`
`SimpleBeanObject(long id, float latitude, float longitude, float bearingInDeg)`

Method Summary
`float` | `getBearingInDeg()`
`java.lang.String` | `getCustomGraphicClassName()`
`java.awt.Image` | `getGraphicImage()`
`long` | `getId()`
`float` | `getLatitude()`
`float` | `getLongitude()`
`void` | `setBearingInDeg(float bearingInDeg)`
`void` | `setCustomGraphicClassName(java.lang.String className)`
`void` | `setGraphicImage(java.awt.Image graphicImage)`
`void` | `setId(long id)`
`void` | `setLatitude(float lat)`
`void` | `setLongitude(float lon)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected long id

### latitude

    protected float latitude

### longitude

    protected float longitude

### bearingInDeg

    protected float bearingInDeg

### graphicImage

    protected java.awt.Image graphicImage

### customGraphicClassName

    protected java.lang.String customGraphicClassName

Constructor Detail

### SimpleBeanObject

    public SimpleBeanObject()

### SimpleBeanObject

    public SimpleBeanObject(long id,
                            float latitude,
                            float longitude,
                            float bearingInDeg)

Method Detail

### setId

    public void setId(long id)

### getId

    public long getId()

### setLatitude

    public void setLatitude(float lat)

### getLatitude

    public float getLatitude()

### setLongitude

    public void setLongitude(float lon)

### getLongitude

    public float getLongitude()

### getBearingInDeg

    public float getBearingInDeg()

### setBearingInDeg

    public void setBearingInDeg(float bearingInDeg)

### getGraphicImage

    public java.awt.Image getGraphicImage()

### setGraphicImage

    public void setGraphicImage(java.awt.Image graphicImage)

### getCustomGraphicClassName

    public java.lang.String getCustomGraphicClassName()

### setCustomGraphicClassName

    public void setCustomGraphicClassName(java.lang.String className)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details